"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.printMessage = void 0;
const output_1 = require("@nrwl/workspace/src/utilities/output");
function printMessage(message) {
    // the new format uses a different offset, so we need ot make sure it works with both
    let offset = '  ';
    try {
        require('@nrwl/workspace/src/tasks-runner/life-cycles/dynamic-run-many-terminal-output-life-cycle');
        offset = '   ';
    }
    catch (e) { }
    let formattedMessage;
    // TODO(Altan): Remove after Nx 15-ish
    // output.dim causes incompatibility with older versions of Nx, so fall back
    // to old method if function is undefined
    if (typeof output_1.output.dim === 'function') {
        formattedMessage = output_1.output.dim(message);
    }
    else {
        try {
            // Old (pre 13.4/13.5) method
            formattedMessage = output_1.output.colors.gray(message);
        }
        catch (e) {
            // Ultra fallback, we should never hit this
            formattedMessage = message;
        }
    }
    process.stdout.write(`${offset}${formattedMessage}`);
    output_1.output.addNewline();
    output_1.output.addNewline();
}
exports.printMessage = printMessage;
//# sourceMappingURL=print-message.js.map